/**
 * 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * 
 */
package org.jiopi.ibean.example.blueprint.testblueprint;

import org.jiopi.framework.annotation.blueprint.RegisterControlPanel;
import org.jiopi.framework.annotation.blueprint.Socket;

/**
 * 
 * 控制面板 是 类
 * 
 * @version 0.2 2010.6.6
 * @since iBean0.2.0.0 2010.5.7
 *
 */
@RegisterControlPanel
@Version
public class ClassControlPanel {
	@RegisterControlPanel
	public final static String classStaticString = "classStaticString";
	
	public static String redefineClassStaticString = "";
	
	@RegisterControlPanel
	public String classMethod(){
		return null;
	}
	
	@Socket
	public static String staticClassMethod(String socket){
		return "origin staticClassMethod";
	}
}
