/**
 * 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * 
 */
package org.jiopi.ibean.example.blueprint.testblueprint;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import org.jiopi.framework.annotation.blueprint.Blueprint;

/**
 * 
 * 定义接口版本
 * 
 * @version 0.2 2010.6.6
 * @since iBean0.2.0.0 2010.5.7
 *
 */
@Target(ElementType.TYPE)
@Blueprint(name="jiopi.ibean.testblueprint", version="0.2", versionInterface=Version.class)
public @interface Version {

}
